#
# spec file for package lifecycle-data-sle-module-hpc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lifecycle-data-sle-module-hpc
Version:        1
Release:        150000.5.7.1
Summary:        SLE HPC Module Lifecycle Data
License:        GPL-2.0+
Group:          System/Management
Url:            http://www.suse.com/lifecycle
Source:		COPYING
Source1:	lifecycle_data.x86_64.txt
Source2:	lifecycle_data.aarch64.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  x86_64 aarch64
# Note:
# we cannot make this noarch, as the lifecycle may differ between the various architectures

Supplements: 	sle-module-hpc-release zypper-lifecycle-plugin

%description
Package lifecycle data.  This is the source of zypper lifecycle information.

%prep

%build

%install
mkdir -pv %{buildroot}/usr/share/lifecycle/data
mkdir -pv %{buildroot}%{_docdir}/%{name}
install -m 644 %{SOURCE0} %{buildroot}%{_docdir}/%{name}/COPYING
install -m 644  %{_sourcedir}/lifecycle_data.%{_arch}.txt  %{buildroot}/usr/share/lifecycle/data/sle-module-hpc.lifecycle

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/COPYING
%dir %{_docdir}/lifecycle-data-sle-module-hpc
%dir /usr/share/lifecycle
%dir /usr/share/lifecycle/data
/usr/share/lifecycle/data/sle-module-hpc.lifecycle

%changelog
* Tue Feb 13 2024 eich@suse.com
- Add lifecycle data for slurm versions up to 23.05.
* Tue Jun 30 2020 fcrozat@suse.com
- Update lifecycle data, most of python2 is now in its own module
  (bsc#1173407).
- Add supplements to ensure package is installed with its
  corresponding module when lifecycle package is installed
  (bsc#1173407).
* Tue May 15 2018 behlert@suse.de
- move content to /usr/share/lifecycle [bsc#1093355]
* Tue Apr 10 2018 behlert@suse.de
- fix src package creation [bsc#1088369]
* Thu Apr  5 2018 behlert@suse.de
- initial package (FATE#320010, FATE#319322, FATE#323526)
